TmetaDetection.cpp File Reference
`#include <utl/meta/meta.h>`
`#include <gtest/gtest.h>`
`#include <type_traits>`

Go to the source code of this file.

## Classes

struct | TmetaDetection::Foo
struct | TmetaDetection::Bar
struct | TmetaDetection::A< T >
struct | TmetaDetection::mFun< T1, T2 >

## Namespaces

| TmetaDetection

## Typedefs

template<typename T >
using | TmetaDetection::try_type = typename T::type
template<typename T >
using | TmetaDetection::try_none = typename T::none
template<typename T >
using | TmetaDetection::try_ctor1 = decltype(T(std::declval< int >(), std::declval< double >()))
template<typename T >
using | TmetaDetection::try_ctor2 = decltype(T(std::declval< int >()))
template<typename T >
using | TmetaDetection::try_ppT = decltype(++(std::declval< T >()))
template<typename T >
using | TmetaDetection::try_Tpp = decltype(std::declval< T >()++)
template<typename T >
using | TmetaDetection::try_sfun = decltype(std::declval< T >().sfun())

## Functions

| TmetaDetection::TEST (TmetaDetection, VoidType)
| TmetaDetection::TEST (TmetaDetection, NotAType)
| TmetaDetection::TEST (TmetaDetection, IsDetected)
| TmetaDetection::TEST (TmetaDetection, Toolkit)

## Detailed Description

Copyright (C) 2018 Christos Choutouridis

This program is free software: you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License along with this program. If not, see http://www.gnu.org/licenses/.

Definition in file TmetaDetection.cpp.